Net::LDNS::RR(3pm)

NAME
Net::LDNS::RR - common baseclass for all classes representing resource records.

SYNOPSIS
    my $rr = Net::LDNS::RR->new('www.iis.se IN A 91.226.36.46');

OVERLOADS
This class overloads stringify and comparisons ('""', '<=>' and 'cmp').

CLASS METHOD

new($string)
    Creates a new RR object of a suitable subclass, given a string representing an RR in common presentation format.

INSTANCE METHODS

owner()
name()
    These two both return the owner name of the RR.

ttl()
    Returns the ttl of the RR.

type()
    Return the type of the RR.

class()
    Returns the class of the RR.

string()
    Returns a string with the RR in presentation format.

do_compare($other)
    Calls the XS "compare" method with the arguments it needs, rather than the ones overloading gives.

to_string
    Calls the XS "string" method with the arguments it needs, rather than the ones overloading gives. Functionally identical to string() from the Perl level, except for being a tiny little bit slower.

rd_count()
    The number of RDATA objects in this RR.

rdf($postion)
    The raw data of the RDATA object in the given position. The first item is in position 0. If an attempt is made to fetch RDATA from a position that doesn't have any, an exception will be thrown.